[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TEncoding.Convert

Convert an array of bytes from one encoding to another

## Declaration

Source position: sysencodingh.inc line 61

`public class function TEncoding.Convert(`
`Source: TEncoding;`
`Destination: TEncoding;`
`const Bytes: TBytes`
`):TBytes; overload; class function TEncoding.Convert(`
`Source: TEncoding;`
`Destination: TEncoding;`
`const Bytes: TBytes;`
`StartIndex: Integer;`
`Count: Integer`
`):TBytes; overload;`

## Description

Convert will convert the bytes in Bytes from encoding Source to encoding Destination and returns the converted bytes as an array. If StartIndex and Count are specified, the conversion starts at (zero-based) index StartIndex, and only Count bytes will be converted.

## See also

TEncoding.GetBytes
TEncoding.GetChars